ros-jazzy-hardware-interface-testing (4.40.0-1noble) noble; urgency=high

  * Publish all castable data types to pal_statistics (backport #2633 <https://github.com/ros-controls/ros2_control/issues/2633>) (#2855 <https://github.com/ros-controls/ros2_control/issues/2855>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 Dec 2025 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.39.2-1noble) noble; urgency=high

  * Avoid deadlocks for failed command switching (#2774 <https://github.com/ros-controls/ros2_control/issues/2774>) (#2796 <https://github.com/ros-controls/ros2_control/issues/2796>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 09 Nov 2025 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.39.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 03 Nov 2025 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.39.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Oct 2025 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.38.0-1noble) noble; urgency=high

  * Add parameter to allow controllers with inactive hardware components (#2501 <https://github.com/ros-controls/ros2_control/issues/2501>) (#2584 <https://github.com/ros-controls/ros2_control/issues/2584>)
  * Fix exclusive hardware control mode switching on controller failed activation (#1522 <https://github.com/ros-controls/ros2_control/issues/1522>) (#2580 <https://github.com/ros-controls/ros2_control/issues/2580>)
  * Fix shadowed variables, redefinition and old-style casts (#2569 <https://github.com/ros-controls/ros2_control/issues/2569>) (#2570 <https://github.com/ros-controls/ros2_control/issues/2570>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 03 Oct 2025 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.37.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 12 Sep 2025 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.36.0-1noble) noble; urgency=high

  * Supress deprecated RM API warnings in the tests (#2428 <https://github.com/ros-controls/ros2_control/issues/2428>) (#2455 <https://github.com/ros-controls/ros2_control/issues/2455>)
  * Unify write behavior between Actuator and System hardware interfaces (#2453 <https://github.com/ros-controls/ros2_control/issues/2453>) (#2457 <https://github.com/ros-controls/ros2_control/issues/2457>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Aug 2025 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.35.0-1noble) noble; urgency=high

  * Fix the prepare_command_mode_switch behaviour when HW is INACTIVE (#2347 <https://github.com/ros-controls/ros2_control/issues/2347>) (#2418 <https://github.com/ros-controls/ros2_control/issues/2418>)
  * Addition of a Default Node for Hardware Component (#2348 <https://github.com/ros-controls/ros2_control/issues/2348>) (#2413 <https://github.com/ros-controls/ros2_control/issues/2413>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 31 Jul 2025 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.34.0-1noble) noble; urgency=high

  * Add deprecations to old methods not using Structs  (backport #2344 <https://github.com/ros-controls/ros2_control/issues/2344>) (#2359 <https://github.com/ros-controls/ros2_control/issues/2359>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 21 Jul 2025 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.33.0-1noble) noble; urgency=high

  * Deactivate controllers with command interfaces to hardware on DEACTIVATE (#2334 <https://github.com/ros-controls/ros2_control/issues/2334>) (#2341 <https://github.com/ros-controls/ros2_control/issues/2341>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 02 Jul 2025 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.32.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 Jun 2025 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.31.0-1noble) noble; urgency=high

  * [RM] Isolate start and stop interfaces for each Hardware Component (backport #2120 <https://github.com/ros-controls/ros2_control/issues/2120>) (#2273 <https://github.com/ros-controls/ros2_control/issues/2273>)
  * Use target_link_libraries instead of ament_target_dependencies (#2266 <https://github.com/ros-controls/ros2_control/issues/2266>) (#2271 <https://github.com/ros-controls/ros2_control/issues/2271>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 24 May 2025 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.30.0-1noble) noble; urgency=high

  * Statically allocate string concatenations using FMT formatting (#2205 <https://github.com/ros-controls/ros2_control/issues/2205>) (#2249 <https://github.com/ros-controls/ros2_control/issues/2249>)
  * Suppress the deprecation warnings of the hardware_interface API (#2223 <https://github.com/ros-controls/ros2_control/issues/2223>) (#2247 <https://github.com/ros-controls/ros2_control/issues/2247>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 21 May 2025 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.29.0-1noble) noble; urgency=high

  * [Diagnostics] Add diagnostics of execution time and periodicity of the hardware components (#2086 <https://github.com/ros-controls/ros2_control/issues/2086>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 04 May 2025 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.28.1-1noble) noble; urgency=high

  * Use previous command to enforce the joint limits on position interfaces (#2183 <https://github.com/ros-controls/ros2_control/issues/2183>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 17 Apr 2025 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.28.0-1noble) noble; urgency=high

  * Integrate joint limit enforcement into ros2_control framework functional with Async controllers and components  (#2047 <https://github.com/ros-controls/ros2_control/issues/2047>)
  * Make all packages use gmock, not gtest (#2162 <https://github.com/ros-controls/ros2_control/issues/2162>)
  * Bump version of pre-commit hooks (#2156 <https://github.com/ros-controls/ros2_control/issues/2156>)
  * Use ros2_control_cmake (#2134 <https://github.com/ros-controls/ros2_control/issues/2134>)
  * [Handle] Add support for booleans in the handles (#2065 <https://github.com/ros-controls/ros2_control/issues/2065>)
  * Improve package descriptions & update maintainers (#2103 <https://github.com/ros-controls/ros2_control/issues/2103>)
  * [RM] Fix skipped cycles by adjusting rw_rate handling (#2091 <https://github.com/ros-controls/ros2_control/issues/2091>)
  * Contributors: Bence Magyar, Christoph Fröhlich, RobertWilbrandt, Sai Kishor Kothakota, Soham Patil, github-actions[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 10 Apr 2025 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.27.0-1noble) noble; urgency=high

  * [Handle] Use get_optional instead of get_value<double> (#2061 <https://github.com/ros-controls/ros2_control/issues/2061>)
  * Add new get_value API for Handles and Interfaces (#1976 <https://github.com/ros-controls/ros2_control/issues/1976>)
  * [CM] Fix the controller deactivation on the control cycles returning ERROR  (#1756 <https://github.com/ros-controls/ros2_control/issues/1756>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Mar 2025 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.26.0-1noble) noble; urgency=high

  * Fix memory leak in the ros2_control (#2033 <https://github.com/ros-controls/ros2_control/issues/2033>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 07 Feb 2025 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.25.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Jan 2025 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.24.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Jan 2025 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.23.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 29 Dec 2024 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.22.0-1noble) noble; urgency=high

  * Propagate read/write rate to the HardwareInfo properly (#1928 <https://github.com/ros-controls/ros2_control/issues/1928>)
  * Async Hardware Components (#1567 <https://github.com/ros-controls/ros2_control/issues/1567>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 20 Dec 2024 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.21.0-1noble) noble; urgency=high

  * [Feature] Choose different read and write rate for the hardware components (#1570 <https://github.com/ros-controls/ros2_control/issues/1570>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 Dec 2024 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.20.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 08 Nov 2024 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.19.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 26 Oct 2024 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.18.0-1noble) noble; urgency=high

  * Adapt controller Reference/StateInterfaces to New Way of Exporting (variant support) (#1689 <https://github.com/ros-controls/ros2_control/issues/1689>)
  * Contributors: Manuel Muth

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 07 Oct 2024 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.17.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 11 Sep 2024 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.16.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 24 Aug 2024 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.16.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Aug 2024 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.15.0-1noble) noble; urgency=high

  * [RM] Add get_hardware_info method to the Hardware Components (#1643 <https://github.com/ros-controls/ros2_control/issues/1643>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 05 Aug 2024 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.14.0-1noble) noble; urgency=high

  * Unused header cleanup (#1627 <https://github.com/ros-controls/ros2_control/issues/1627>)
  * Fix typos in test_resource_manager.cpp (#1609 <https://github.com/ros-controls/ros2_control/issues/1609>)
  * Contributors: Henry Moore, Parker Drouillard

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 23 Jul 2024 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.13.0-1noble) noble; urgency=high

  * [ResourceManager] Propagate access to logger and clock interfaces to HardwareComponent (#1585 <https://github.com/ros-controls/ros2_control/issues/1585>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Jul 2024 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.12.0-1noble) noble; urgency=high

  * [RM] Rename load_urdf method to load_and_initialize_components and add error handling there to avoid stack crashing when error happens. (#1354 <https://github.com/ros-controls/ros2_control/issues/1354>)
  * Contributors: Dr. Denis

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 Jul 2024 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.11.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 14 May 2024 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.10.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 08 May 2024 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.9.0-1noble) noble; urgency=high

  * Component parser: Get mimic information from URDF (#1256 <https://github.com/ros-controls/ros2_control/issues/1256>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 30 Apr 2024 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.8.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 27 Mar 2024 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.7.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 22 Mar 2024 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.6.0-1noble) noble; urgency=high

  * Add -Werror=missing-braces to compile options (#1423 <https://github.com/ros-controls/ros2_control/issues/1423>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 02 Mar 2024 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.5.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 12 Feb 2024 00:00:00 -0000

ros-jazzy-hardware-interface-testing (4.4.0-1noble) noble; urgency=high

  * Fix version
  * Move test_components to own package (#1325 <https://github.com/ros-controls/ros2_control/issues/1325>)
  * Contributors: Bence Magyar, Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 31 Jan 2024 00:00:00 -0000


